---
title: <tref>
slug: Web/SVG/Element/tref
tags:
  - Element
  - Reference
  - SVG
  - SVG Text Content
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The textual content for a {{SVGElement("text")}} <a href="/en-US/docs/Web/SVG">SVG</a> element can be either character data directly embedded within the {{SVGElement("text")}} element or the character data content of a referenced element, where the referencing is specified with a <strong><code>&lt;tref&gt;</code></strong> element.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Conditional_processing_attributes">Conditional processing attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Graphical_event_attributes">Graphical event attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Xlink_attributes">Xlink attributes</a></li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("style")}}</li>
 <li>{{SVGAttr("externalResourcesRequired")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("xlink:href")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGTRefElement")}} interface.</p>

<h2 id="Example">Example</h2>

<pre class="brush: xml">&lt;svg width="100%" height="100%" viewBox="0 0 1000 300"
     xmlns="http://www.w3.org/2000/svg"
     xmlns:xlink="http://www.w3.org/1999/xlink"&gt;
  &lt;defs&gt;
    &lt;text id="ReferencedText"&gt;
      Referenced character data
    &lt;/text&gt;
  &lt;/defs&gt;

  &lt;text x="100" y="100" font-size="45" &gt;
    Inline character data
  &lt;/text&gt;

  &lt;text x="100" y="200" font-size="45" fill="red" &gt;
    &lt;tref xlink:href="#ReferencedText"/&gt;
  &lt;/text&gt;

  &lt;!-- Show outline of canvas using 'rect' element --&gt;
  &lt;rect x="1" y="1" width="998" height="298"
        fill="none" stroke-width="2" /&gt;
&lt;/svg&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TRefElement", "&lt;font&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.tref")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("text")}}</li>
</ul>
